org.eclipse.jetty.server

## Class HttpOutput

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - org.eclipse.jetty.server.HttpOutput

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable
  Direct Known Subclasses:
    AbstractHttpConnection.Output

      public class HttpOutput
      extends javax.servlet.ServletOutputStream

  Output.

  Implements `ServletOutputStream` from the `javax.servlet` package.

  A `ServletOutputStream` implementation that writes content to a `AbstractGenerator`. The class is designed to be reused and can be reopened after a close.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractHttpConnection` | `_connection`
    `protected AbstractGenerator` | `_generator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpOutput(AbstractHttpConnection connection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `int` | `getMaxIdleTime()`
    `boolean` | `isClosed()`
    `boolean` | `isWritten()`
    `void` | `print(String s)`
    `void` | `reopen()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class javax.servlet.ServletOutputStream

      `print, print, print, print, print, print, println, println, println, println, println, println, println, println`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _connection

          protected final AbstractHttpConnection _connection

    - #### _generator

          protected final AbstractGenerator _generator

  - ### Constructor Detail

    - #### HttpOutput

          public HttpOutput(AbstractHttpConnection connection)

  - ### Method Detail

    - #### getMaxIdleTime

          public int getMaxIdleTime()

    - #### isWritten

          public boolean isWritten()

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### isClosed

          public boolean isClosed()

    - #### reopen

          public void reopen()

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### print

          public void print(String s)
                     throws IOException

      Overrides:
        `print` in class `javax.servlet.ServletOutputStream`
      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.